Subject: Re: bug#12357: 24.2; list-load-path-shadow should ignore .dir-locals.el

From: Glenn Morris <[email-masked]>
Date: Fri, 07 Sep 2012 21:13:32 -0400

Johan Claesson wrote:

> A minor suggestion for shadow.el.  list-load-path-shadows will detect
> if there are two lisp files with the same name in the load-path.  Such
> a clash could cause problems for normal lisp files.  But i think it is
> normal to have multiple .dir-locals.el files spread across the
> load-path.  In order to avoid false warnings list-load-path-shadows
> could ignore the special file name .dir-locals.el.

I think you are right, but if any one given directory has more than one
dir-locals file above it in the directory tree, then the "lowest" one
does indeed shadow all the "higher" ones. So it might be good to still
report such cases?